---
title: HTMLIFrameElement.contentWindow
slug: Web/API/HTMLIFrameElement/contentWindow
tags:
  - API
  - HTML DOM
  - HTMLIFrameElement
  - Property
  - Read-only
  - Reference
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>contentWindow</code></strong> property returns the <a href="/en-US/docs/Web/API/Window">Window</a> object of an <a href="/en-US/docs/Web/API/HTMLIFrameElement">HTMLIFrameElement</a>. You can use this <code>Window</code> object to access the iframe's document and its internal DOM. This attribute is read-only, but its properties can be manipulated like the global <code>Window</code> object.</span></p>

<h2 id="Example_of_contentWindow">Example of contentWindow</h2>

<pre class="brush: js">var x = document.getElementsByTagName("iframe")[0].contentWindow;
//x = window.frames[0];

x.document.getElementsByTagName("body")[0].style.backgroundColor = "blue";
// this would turn the 1st iframe in document blue.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-iframe-contentwindow', 'HTMLIFrameElement: contentWindow')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLIFrameElement.contentWindow")}}</p>
